Anonymous Login
2019-02-16 21:25 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000663v4.0 Release (Planning)Core Infrastructurepublic2016-12-29 10:16
Reportereureka 
Assigned Tocaseydk 
PrioritynormalSeverityfeatureReproducibilityalways
StatusacknowledgedResolutionwon't fix 
Product Version 
Target Version4.0Fixed in Version 
Summary0000663: module loader accepts only "application/zip"
Descriptionfor "application/x-zip" and "application/x-gzip", i suggest :

replace (line 317) :

        if ($this->filetype != 'application/zip') {

by :

            if (! preg_match("#^application/(x-g?)?zip$#", $this->filetype)) {
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001490

caseydk (administrator)

Yes, that's because this was the proof of concept implementation. If everyone seems relatively happy with it, I'll expand it to include gz for a later release (2.3? 3.0?) and eventually add Phar support once PHP5.3 has better penetration.

~0001493

eureka (reporter)

When i download a module from web2project-mod of sourceforge (Download GNU tarball), its filetype is application/x-gzip. I must first unzip it on my computer to install it.

When i upload a module from my computer , its filetype is application/x-zip

~0002230

caseydk (administrator)

I've been working on this one.. gz isn't supported in core PHP. The only options are either dropping to shell_exec or to use a slightly odd PEAR Archive module.

This isn't likely to make it into v3.0

~0003629

caseydk (administrator)

Since we've moved everything to Github, the default download format is a zip file so the "zip only" limitation is no longer a problem.

~0003838

caseydk (administrator)


I'm changing this issue to acknowledged.

While it's resolved in the v4.0 development branch. That is going to be reviewed commit by commit and merged into a new development branch over the next couple months.
+Notes

-Issue History
Date Modified Username Field Change
2010-12-22 10:36 eureka New Issue
2010-12-22 17:43 caseydk Note Added: 0001490
2010-12-22 23:35 eureka Note Added: 0001493
2011-01-08 09:40 caseydk Severity minor => feature
2011-02-24 00:55 caseydk Project Pending Requests => v2.4 Release (Closed)
2011-07-18 12:23 caseydk Project v2.4 Release (Closed) => v3.0 Release
2011-10-01 22:43 caseydk Note Added: 0002230
2011-10-18 23:00 caseydk Project v3.0 Release => Pending Requests
2014-01-01 16:59 caseydk Project Pending Requests => v4.0 Release (Planning)
2014-01-21 17:57 caseydk Target Version => 4.0
2014-03-30 22:13 caseydk Category General => Core Infrastructure
2014-08-25 22:30 caseydk Note Added: 0003629
2014-08-25 22:30 caseydk Status new => resolved
2014-08-25 22:30 caseydk Resolution open => won't fix
2014-08-25 22:30 caseydk Assigned To => caseydk
2016-12-29 10:16 caseydk Status resolved => acknowledged
2016-12-29 10:16 caseydk Note Added: 0003838
+Issue History